Bug 199317 - RPM Guide should document fourth %defattr argument
RPM Guide should document fourth %defattr argument
Status: ASSIGNED
Product: Fedora Documentation
Classification: Fedora
Component: rpm-guide (Show other bugs)
devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Cotton
Karsten Wade
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-18 16:48 EDT by Hans Ulrich Niedermann
Modified: 2014-12-20 20:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans Ulrich Niedermann 2006-07-18 16:48:14 EDT
The RPM Guide http://fedora.redhat.com/docs/drafts/rpm-guide-en/ should document
the optional fourth argument to %defattr when describing %defattr anyway. Cf.
http://www.redhat.com/archives/rpm-list/2004-January/msg00149.html

(stickster told me to file this here)
Comment 1 Karsten Wade 2008-05-01 09:26:04 EDT
This bug remains open in a NEW state waiting for a maintainer for the RPM Guide.
Comment 2 Karsten Wade 2008-05-01 09:41:25 EDT
OK, I got brought up on the discussion from IRC.  While we aren't actively
recruiting for a writer for this guide, it does get interest.  I've been wanting
rpm.org to takeover maintainership, but that really means a willing writer or
two need to bring it over and begin maintaining it there.  Remaining in Fedora
is OK, but we continue to be resource starved working on other projects.

OTOH, there is a perspective that the RPM Guide is aimed at the core
contributors to Fedora, and there is where Fedora Docs should be focusing. 
Discussion on that should happen on fedora-docs-list.

To address the idea of providing a patch for this bug and bz #199318 ... here
are instructions on getting the source via anonymous CVS:

http://fedoraproject.org/wiki/DocsProject/CvsUsage#Anonymous_CVS

You can post a patch back to here.  If you have a Fedora Account, you can also
request access to the 'cvsdocs' group and contribute directly to the source.

Thanks - Karsten
Comment 3 Karsten Wade 2008-06-04 10:28:12 EDT
Moving to the new rpm-guide component to help in finding and resolving all RPM
Guide bugs.
Comment 4 eric@christensenplace.us 2009-07-09 22:21:29 EDT
This guide is being resurrected.  Reassigned all tickets to developer.
Comment 5 Leslie Satenstein 2014-12-20 20:02:20 EST
I took on a project to rewrite or strongly edit the existing guide.

I don't think that any comment herein refers to the most recent rpm guide.

Note You need to log in before you can comment on or make changes to this bug.